<template>
  <div>
    <p>Enter new value:</p>
    <input :value="value" @input="$emit('input', $event.target.value)" />
    <hr />
    <slot></slot>
    <hr />
    <slot name="warning"></slot>
  </div>
</template>

<script>
export default {
  props: {
    value: {
      type: Number,
      required: true
    },
  },
}
</script>
